package cz.mendelu.dnaAnalyser.analyse.rloopr;

import cz.mendelu.dnaAnalyser.overlay.LocalisedOverlay;
import cz.mendelu.dnaAnalyser.utils.analyse.service.AbstractDataSessionService;
import cz.mendelu.dnaAnalyser.utils.analyse.service.heatmap.HeatmapService;
import org.apache.ibatis.session.Configuration;
import org.springframework.stereotype.Service;

import java.sql.SQLException;
import java.sql.Statement;

@Service
public class RloopDataSessionService extends AbstractDataSessionService implements HeatmapService, LocalisedOverlay {

    @Override
    protected void onCreateTables(Statement statement) throws SQLException {
        statement.execute(RloopMapper.TABLE);
    }

    @Override
    protected void onConfiguration(Configuration configuration) {
        configuration.getTypeAliasRegistry().registerAlias(Rloop.class);
        configuration.addMapper(RloopMapper.class);
    }
}
