package cz.mendelu.dnaAnalyser.utils.controller;

import com.fasterxml.jackson.annotation.JsonInclude;
import cz.mendelu.dnaAnalyser.batch.Batch;
import lombok.Data;

import java.util.List;
import java.util.Map;
import java.util.UUID;

import static com.fasterxml.jackson.annotation.JsonInclude.Include.NON_NULL;

@Data
@JsonInclude(NON_NULL)
public class ResponseList<R>  {

    public static <E> ResponseList<E> responseList(List<E> items) {
        ResponseList<E> response = new ResponseList<>();
        response.items = items;
        response.size = items.size();
        return response;
    }

    public ResponseList() {}

    private List<R> items;

    private int size;

    private Map<UUID, Batch> batches;

    private String downloadToken;


}
